Package: org.codehaus.groovy.groovydoc

## [Java] Interface GroovyFieldDoc

- org.codehaus.groovy.groovydoc.GroovyDoc

- All Superinterfaces:
    GroovyMemberDoc, GroovyProgramElementDoc, GroovyDoc

      public interface GroovyFieldDoc
      extends GroovyMemberDoc

  Describes a field or property in the Groovydoc model.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `constantValue()` Returns the constant value of this field when one is available.
    `` | `public String` | `constantValueExpression()` Returns the source expression used to define the constant value.
    `` | `public boolean` | `isTransient()` Indicates whether this field is declared `transient`.
    `` | `public boolean` | `isVolatile()` Indicates whether this field is declared `volatile`.
    `` | `public GroovyType` | `type()` Returns the declared type of this field.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface GroovyMemberDoc` | `isSynthetic`
    `interface GroovyProgramElementDoc` | `annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifierSpecifier, modifiers, qualifiedName`
    `interface GroovyDoc` | `commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isRecord, name, setRawCommentText`

- - ### Method Detail

    - #### public Object constantValue()

      Returns the constant value of this field when one is available.

      Returns:
        the constant value, or `null` if none is defined

    - #### public String constantValueExpression()

      Returns the source expression used to define the constant value.

      Returns:
        the constant value expression, or `null` if none is available

    - #### public boolean isTransient()

      Indicates whether this field is declared `transient`.

      Returns:
        `true` if this field is transient

    - #### public boolean isVolatile()

      Indicates whether this field is declared `volatile`.

      Returns:
        `true` if this field is volatile

    - #### public GroovyType type()

      Returns the declared type of this field.

      Returns:
        the field type